Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.util
Class AlignPairsSimple

    java.lang.Object
      fr.inrialpes.exmo.ontosim.util.AlignPairsSimple

All Implemented Interfaces:
  ca.uqam.info.latece.sboa.inter.selection.AlignPairs

    public class AlignPairsSimple

extends Object
implements ca.uqam.info.latece.sboa.inter.selection.AlignPairs

Field Summary
`protected MatrixDouble<org.semanticweb.owl.model.OWLEntity,org.semanticweb.owl.model.OWLEntity>` | `entEntSimMap`

Constructor Summary
`AlignPairsSimple()`

Method Summary
`void` | `addPair(org.semanticweb.owl.model.OWLEntity arg0, org.semanticweb.owl.model.OWLEntity arg1, double arg2)`
`double` | `getSimPair(org.semanticweb.owl.model.OWLEntity e1, org.semanticweb.owl.model.OWLEntity e2)`
`Hashtable<ArrayList<org.semanticweb.owl.model.OWLEntity>,Double>` | `hungarianSelect(boolean arg0)`
`Hashtable<ArrayList<org.semanticweb.owl.model.OWLEntity>,Double>` | `maxSelect(boolean arg0, boolean arg1)`
`void` | `rm(org.semanticweb.owl.model.OWLEntity e1)`
`Hashtable<ArrayList<org.semanticweb.owl.model.OWLEntity>,Double>` | `thresholdSelect(double arg0, boolean arg1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entEntSimMap

    protected MatrixDouble<org.semanticweb.owl.model.OWLEntity,org.semanticweb.owl.model.OWLEntity> entEntSimMap

Constructor Detail

### AlignPairsSimple

    public AlignPairsSimple()

Method Detail

### addPair

    public void addPair(org.semanticweb.owl.model.OWLEntity arg0,
                        org.semanticweb.owl.model.OWLEntity arg1,
                        double arg2)

  Specified by:
    `addPair` in interface `ca.uqam.info.latece.sboa.inter.selection.AlignPairs`

### rm

    public void rm(org.semanticweb.owl.model.OWLEntity e1)

### getSimPair

    public double getSimPair(org.semanticweb.owl.model.OWLEntity e1,
                             org.semanticweb.owl.model.OWLEntity e2)

### hungarianSelect

    public Hashtable<ArrayList<org.semanticweb.owl.model.OWLEntity>,Double> hungarianSelect(boolean arg0)

  Specified by:
    `hungarianSelect` in interface `ca.uqam.info.latece.sboa.inter.selection.AlignPairs`

### maxSelect

    public Hashtable<ArrayList<org.semanticweb.owl.model.OWLEntity>,Double> maxSelect(boolean arg0,
                                                                                      boolean arg1)

  Specified by:
    `maxSelect` in interface `ca.uqam.info.latece.sboa.inter.selection.AlignPairs`

### thresholdSelect

    public Hashtable<ArrayList<org.semanticweb.owl.model.OWLEntity>,Double> thresholdSelect(double arg0,
                                                                                            boolean arg1)

  Specified by:
    `thresholdSelect` in interface `ca.uqam.info.latece.sboa.inter.selection.AlignPairs`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009